Bug 545659 - [abrt] a segfault when opening a URL from the command-line
Summary: [abrt] a segfault when opening a URL from the command-line
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: arora
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:313288066c7e8fc20bc517ec106...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-09 03:35 UTC by Steve Zakulec
Modified: 2009-12-18 04:30 UTC (History)
2 users (show)

Fixed In Version: 0.10.2-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 04:26:10 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (18.12 KB, text/plain)
2009-12-09 03:35 UTC, Steve Zakulec
no flags Details

Description Steve Zakulec 2009-12-09 03:35:29 UTC
abrt 1.0.0 detected a crash.

Comment: While in Quassel, I believe I clicked on the link listed in the commandline, and since Arora is my default browser, it opened in that.
Attached file: backtrace
cmdline: /usr/bin/arora http://zip.4chan.org/jp/res/3828203.html
component: arora
executable: /usr/bin/arora
kernel: 2.6.31.5-127.fc12.i686
package: arora-0.10.1-1.fc12
rating: 4
reason: Process was terminated by signal 11

Comment 1 Steve Zakulec 2009-12-09 03:35:32 UTC
Created attachment 377089 [details]
File: backtrace

Comment 2 Jaroslav Reznik 2009-12-10 12:53:22 UTC
New version (0.10.2) should fix segfault when opening new window from command line, I'm working on update right now. Maybe it's this case.

Comment 3 Jaroslav Reznik 2009-12-10 16:17:49 UTC
Could you try this build? http://koji.fedoraproject.org/koji/buildinfo?buildID=146666

Comment 4 Steve Zakulec 2009-12-11 03:42:50 UTC
I have installed this build, and so far there have been no crashes.  The link listed in the bug report is now no longer valid, as the picture it was referring to has expired.  You can close this bug report if you want.
Thanks for your assistance!

Comment 5 Jaroslav Reznik 2009-12-11 12:01:45 UTC
Ok, I'll push the update to updates-testing and it's going to be automatically closed. In case of reoccurence feel free to reopen this bug or report the problem upstream (preferred to let upstream know that it wasn't fixed properly).

Thank you for testing.

Comment 6 Fedora Update System 2009-12-11 12:02:46 UTC
arora-0.10.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/arora-0.10.2-2.fc11

Comment 7 Fedora Update System 2009-12-11 12:04:51 UTC
arora-0.10.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/arora-0.10.2-2.fc12

Comment 8 Fedora Update System 2009-12-16 01:11:24 UTC
arora-0.10.2-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update arora'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13178

Comment 9 Fedora Update System 2009-12-16 01:12:46 UTC
arora-0.10.2-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update arora'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13184

Comment 10 Fedora Update System 2009-12-18 04:26:05 UTC
arora-0.10.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-12-18 04:30:49 UTC
arora-0.10.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.